# List addresses

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/addresses?clientId=:id`

This endpoint allows you to list all existing addresses for a given client.\
\
The addresses are returned sorted by creation date, with the most recent addresses appearing first.

### Headers

<table><thead><tr><th width="291">Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <strong><code>live</code></strong> or <strong><code>test</code></strong> key.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](/documentation/api-reference/pagination.md) and [address filters](/documentation/api-reference/core-resources/addresses/filtering-addresses.md) for this endpoint.
{% endhint %}

### Query parameters

<table><thead><tr><th width="294">Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>clientId</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the client.</td></tr><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filter the results.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/addresses?clientId={:clientId} \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const addresses = await complycube.address.list("CLIENT_ID");
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

my_addresses = cc_api.addresses.list('CLIENT_ID')
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$addresses = $ccapi->address()->list('CLIENT_ID');
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Addresses;

var addressApi = new AddressApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var addresses = await addressApi.ListAsync("CLIENT_ID");
```

{% endtab %}
{% endtabs %}

### Example responses

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {
            "id": "5eb1276f96be4a0008713af6",
            "clientId": "5eb1276d96be4a0008713af5",
            "type": "main",
            "propertyNumber": "Flat 57",
            "line": "Common street",
            "city": "Aldgate",
            "state": "London",
            "postalCode": "W10 11L",
            "country": "GB",
            "fromDate": "2007-09-01",
            "toDate": "2020-01-01",
            "createdAt": "2020-01-04T17:24:29.146Z",
            "updatedAt": "2020-01-04T17:26:10.712Z"
        }
    ]
}
```

{% endtab %}

{% tab title="Invalid Request (400)" %}

```json
{
    "type": "invalid_request",
    "message": "The query parameter 'clientId' is required"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/addresses/list-addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
